Package org.silverpeas.components.kmelia.jstl

# Class KmeliaDisplayHelper

java.lang.Object
org.silverpeas.components.kmelia.jstl.KmeliaDisplayHelper

public class KmeliaDisplayHelper extends Object
Helper class to be able to remove old JSP methods.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `displayAllOperations(String id, KmeliaSessionController kmeliaScc, org.silverpeas.core.web.util.viewgenerator.html.GraphicElementFactory gef, String action, org.silverpeas.core.util.MultiSilverpeasBundle resources, jakarta.servlet.jsp.JspWriter out)`
  `static void`
  `displayAllOperations(String id, KmeliaSessionController kmeliaScc, org.silverpeas.core.web.util.viewgenerator.html.GraphicElementFactory gef, String action, org.silverpeas.core.util.MultiSilverpeasBundle resources, jakarta.servlet.jsp.JspWriter out, boolean kmaxMode)`
  `static void`
  `displayOnNewOperations(KmeliaSessionController kmeliaScc, jakarta.servlet.jsp.JspWriter out)`
  `static void`
  `displayUserAttachmentsView(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail, String webContext, jakarta.servlet.jsp.JspWriter out, String lang, boolean showIcon, org.silverpeas.core.util.MultiSilverpeasBundle resources)`
  `static void`
  `displayUserOperations(KmeliaSessionController kmeliaScc, jakarta.servlet.jsp.JspWriter out)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### displayAllOperations

    public static void displayAllOperations(String id, KmeliaSessionController kmeliaScc, org.silverpeas.core.web.util.viewgenerator.html.GraphicElementFactory gef, String action, org.silverpeas.core.util.MultiSilverpeasBundle resources, jakarta.servlet.jsp.JspWriter out) throws IOException
    Throws:
      `IOException`

  - ### displayAllOperations

    public static void displayAllOperations(String id, KmeliaSessionController kmeliaScc, org.silverpeas.core.web.util.viewgenerator.html.GraphicElementFactory gef, String action, org.silverpeas.core.util.MultiSilverpeasBundle resources, jakarta.servlet.jsp.JspWriter out, boolean kmaxMode) throws IOException
    Throws:
      `IOException`

  - ### displayUserOperations

    public static void displayUserOperations(KmeliaSessionController kmeliaScc, jakarta.servlet.jsp.JspWriter out) throws IOException
    Throws:
      `IOException`

  - ### displayOnNewOperations

    public static void displayOnNewOperations(KmeliaSessionController kmeliaScc, jakarta.servlet.jsp.JspWriter out) throws IOException
    Throws:
      `IOException`

  - ### displayUserAttachmentsView

    public static void displayUserAttachmentsView(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail, String webContext, jakarta.servlet.jsp.JspWriter out, String lang, boolean showIcon, org.silverpeas.core.util.MultiSilverpeasBundle resources) throws IOException
    Throws:
      `IOException`